## imcode.server.user
Class PhoneNumberType

    java.lang.Object
      imcode.util.IdLocalizedNamePair
          imcode.server.user.PhoneNumberType

All Implemented Interfaces:
  java.io.Serializable

    public class PhoneNumberType

extends IdLocalizedNamePair

See Also:
  Serialized Form

Field Summary
`static PhoneNumberType` `FAX`
`static PhoneNumberType` `HOME`
`static PhoneNumberType` `MOBILE`
`static PhoneNumberType` `OTHER`
`static PhoneNumberType` `WORK`

Method Summary
`static PhoneNumberType[]` `getAllPhoneNumberTypes()`
`static PhoneNumberType` `getPhoneNumberTypeById(int phoneTypeId)`

Methods inherited from class imcode.util.IdLocalizedNamePair
`equals, getId, getName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OTHER

    public static final PhoneNumberType OTHER

### HOME

    public static final PhoneNumberType HOME

### WORK

    public static final PhoneNumberType WORK

### MOBILE

    public static final PhoneNumberType MOBILE

### FAX

    public static final PhoneNumberType FAX

Method Detail

### getAllPhoneNumberTypes

    public static PhoneNumberType[] getAllPhoneNumberTypes()

### getPhoneNumberTypeById

    public static PhoneNumberType getPhoneNumberTypeById(int phoneTypeId)